#ifndef CONFIGURATION_H
#define CONFIGURATION_H

typedef struct {
  guint16 port;
  int max_concurrent_dumps;
  gboolean daemon;
  char *pidfile;
  int secure;
  int space_check;
  int load_segments;
  int hole_size;
  char *compress;
  int skip_zero;
  int debug;
} NetdumpConfiguration;

extern NetdumpConfiguration config;

void config_init (int argc, char *argv[]);

#endif /* CONFIGURATION_H */
